/******************************************************************************

  CCommodity.C

  Stephen Freund
  freunds@cs.stanford.edu

  Implementation of Commodity class.

******************************************************************************/

#include "CCommodity.h"
#include "CNode.h"
#include <math.h>
#include "Parameter.h"
#include "Utility.h"

/*
 * Just set up instance variables with dummy values.
 */
CCommodity::CCommodity()  {
  CCommodity(0, NULL, NULL, 0.0);
}


/*
 * Just set instance variables.
 */
CCommodity::CCommodity(int Id, CNode *source, CNode *sink, double demand) {
  itsId = Id;
  itsSource = source;
  itsSink = sink;
  itsOriginalDemand = itsDemand = demand;
}
 
/*
 * output into the stream in a somewhat legible way:
 *   (id# source -> sink : demand)
 */
ostream& operator<<(ostream& out,const CCommodity& comm) {
  out << "(comm" << comm.itsId << " ";
  out << comm.itsSource -> Id() << " -> " << comm.itsSink -> Id() << ": ";
  out << comm.itsDemand << ") ";
  return(out);
}












